package com.m4399.demo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.m4399.paysdk.M4399GameBoxClient;

public class SetActivity extends Activity
{
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_set);
    }

    public void save(View view)
    {
        // init() 【建议】放在Application 的 onCreate() 方法里调用,xxx替换为测试用的包名
        // com.cowcat.DemetriosCh3 这个包名，是为了方便 游戏开发者 sdk接入测试的包名
        // 【注意】游戏正式发包，不要打debug包。如果一定要debug包，那么请把 com.cowcat.DemetriosCh3 改为 游戏应用的包名
        String pkg = BuildConfig.DEBUG ? "com.cowcat.DemetriosCh3" : this.getPackageName();
        M4399GameBoxClient.getInstance()
                          .init(pkg, new M4399GameBoxClient.OnVerifyListener()
                          {
                              /**
                               * 验证流程通过，会触发该方法。
                               * @param hostActivity
                               */
                              @Override
                              public void onVerifyPass(Activity hostActivity)
                              {
                                  //这里启动游戏页面，并关闭当前页面
                                  hostActivity.startActivity(new Intent(getApplicationContext(), GameActivity.class));
                                  hostActivity.finish();
                              }
                          });
        M4399GameBoxClient.getInstance()
                          .openCheckFlowPage(this);
        finish();
    }
}
